#define SECONDS_PER_DAY 	86400L
#define SECONDS_PER_WEEK 	604800

// Flags for utils_print_friendly_time. Add more as needed.



/*				 
I'd like to implement all these some time:

dd/mm/yy

24/09
24/09/00
24 September
24 September 2000
24 Sept
24 Sept 2000
Sunday 24 September
Sunday 24 September 2000
Sun 24 Sept
Sun 24 Sept 00
*/
  
#define PFT_DEFAULT		0x0000
#define PFT_YEAR		0x0001
#define PFT_DAYTHISWEEK	0x0002	// Just displays the day if the date is this week
		
void utils_print_date_time(time_t ptime, guint flags, gchar **string_date, gchar **string_time);
void utils_normalize_time (struct tm *tm);
gchar *utils_print_time(time_t ptime);
time_t utils_local_tz (void);
time_t utils_mktime (struct tm *t, int local);
time_t utils_compute_tz (time_t g, struct tm *utc);
int utils_check_month (const char *s);
int utils_is_day_name (const char *s);
const char *utils_uncomment_timezone (char *buf, size_t buflen, const char *tz);


