
/* FindStringDialog takes a message to display in front of the search entry
 * and a callback function that will be called when the user clicks on the
 * "Find Next" button. If the callback returns FALSE the dialog will be
 * terminated, otherwise it will remain for a further search.
 */							  

typedef gboolean (*FindStringCallback)(const gchar *find_string, gpointer data);

void FindStringDialog (char *szMessage, FindStringCallback callback,
					   gpointer data);
GtkWidget *FileSelectionDialog(const gchar *title);

